Package pygccxml :: Package declarations :: Module declaration :: Class location_t

# type location_t

source code

    object --+
             |
            location_t

provides information about the location of the declaration within the source file

Instance Methods

__init__(self, file_name=`'````'`, line=-1) | source code

__eq__(self, other) | source code

__ne__(self, other) | source code

__lt__(self, other) | source code

as_tuple(self) return tuple(self.file_name, self.line) | source code

Properties
| file_name absolute source file name, type string
| line line number, type int

Method Details

### __init__(self, file_name=`'````'`, line=-1)
(Constructor)

source code

Overrides: object.__init__
  (inherited documentation)

Property Details

### file_name

absolute source file name, type string

Get Method:
  _get_file_name(self)
Set Method:
  _set_file_name(self, new_file_name)

### line

line number, type int

Get Method:
  _get_line(self)
Set Method:
  _set_line(self, new_line)